Package org.apache.ignite.internal.processors.cache

## Class FetchActiveTxOwnerTraceClosure

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.FetchActiveTxOwnerTraceClosure

All Implemented Interfaces:
  `Serializable`, `Callable<String>`, `IgniteCallable<String>`

    public class FetchActiveTxOwnerTraceClosure
    extends Object
    implements IgniteCallable<String>

Closure that is computed on near node to get the stack trace of active transaction owner thread.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`FetchActiveTxOwnerTraceClosure​(long txOwnerThreadId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `call()` Builds the stack trace dump of the transaction owner thread

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchActiveTxOwnerTraceClosure

    public FetchActiveTxOwnerTraceClosure​(long txOwnerThreadId)

### Method Detail

#### call

    public String call()
                throws Exception

Builds the stack trace dump of the transaction owner thread

Specified by:
  `call` in interface `Callable<String>`
Returns:
  stack trace dump string
Throws:
  `Exception` - If failed